Page MenuHomePhabricator

Local exception for notifications does not work
Closed, ResolvedPublic3 Story Points

Description

Congragulations, it's awesome!

The first bug:


Steps to reproduce
  1. Open global preferences.
  2. Make "Notify me about these events" at notifications tab global.
  3. Open local preferences.
  4. Set a local exception for them.
  5. The boxes remain unclickable.

Thank you.


Expected behavior
  • The boxes for local preferences should be clickable when the local override is selected.

Details

Related Gerrit Patches:
mediawiki/extensions/GlobalPreferences : masterSupport local overrides for CheckMatrix

Event Timeline

Could it be related to T195253 ?

Could it be related to T195253 ?

I strongly doubt it.

TBolliger updated the task description. (Show Details)Jun 4 2018, 10:06 PM
TBolliger set the point value for this task to 3.

In my case I selected "Set a local exception for this global preference" and the box became clickable; then I made one change ad I saved. But when I reloaded the page "Set a local exception for this global preference" was still selected, but the change I made had disappeared. I tried many times, but every time I made the change and then it disappeared.

MaxSem claimed this task.Jun 14 2018, 2:21 AM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 440564 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/GlobalPreferences@master] Support local overrides for CheckMatrix

https://gerrit.wikimedia.org/r/440564

greg removed a subscriber: greg.Jun 18 2018, 11:34 PM

Change 440564 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Support local overrides for CheckMatrix

https://gerrit.wikimedia.org/r/440564

Vvjjkkii renamed this task from Local exception for notifications does not work to nicaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Marostegui renamed this task from nicaaaaaaa to Local exception for notifications does not work.Jul 1 2018, 6:50 PM
Marostegui assigned this task to MaxSem.
Marostegui lowered the priority of this task from High to Normal.
Marostegui updated the task description. (Show Details)
CommunityTechBot set the point value for this task to 3.Jul 5 2018, 6:45 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 5 2018, 6:45 PM
CommunityTechBot raised the priority of this task from Normal to Needs Triage.Jul 5 2018, 6:45 PM
CommunityTechBot updated the task description. (Show Details)
IKhitron added a comment.EditedJul 10 2018, 5:31 PM

Well, it works on mediawiki.org.

Well, it works on mediawiki.org.

Yes, the code has been deployed to Group 0 wikis earlier today.

Well, it works on mediawiki.org.

Yes, the code has been deployed to Group 0 wikis earlier today.

Yap, I know. I just wanted to see it :-)

Niharika closed this task as Resolved.Jul 17 2018, 8:07 PM
Niharika moved this task from QA to Q1 2018-19 on the Community-Tech-Sprint board.